<?php

namespace Superrobota\Bankoffer;

use User;

class Bankoffer
{
    /**
     * $bankoffer object.
     */
    protected $bankoffer;

    /**
     * Constructor.
     */
    public function __construct(\Superrobota\Bankoffer\Interfaces\BankofferRepositoryInterface $bankoffer)
    {
        $this->bankoffer = $bankoffer;
    }

    /**
     * Returns count of bankoffer.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.bankoffer.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->bankoffer->pushCriteria(new \Litepie\Superrobota\Repositories\Criteria\BankofferUserCriteria());
        }

        $bankoffer = $this->bankoffer->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('bankoffer::' . $view, compact('bankoffer'))->render();
    }
}
