<?php

namespace Superrobota\Bankoffer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class BankofferTransformer extends TransformerAbstract
{
    public function transform(\Superrobota\Bankoffer\Models\Bankoffer $bankoffer)
    {
        return [
            'id'                => $bankoffer->getRouteKey(),
            'key'               => [
                'public'    => $bankoffer->getPublicKey(),
                'route'     => $bankoffer->getRouteKey(),
            ], 
            'name'              => $bankoffer->name,
            'description'       => $bankoffer->description,
            'image'             => $bankoffer->image,
            'link'              => $bankoffer->link,
            'url'               => [
                'public'    => trans_url('bankoffer/'.$bankoffer->getPublicKey()),
                'user'      => guard_url('bankoffer/bankoffer/'.$bankoffer->getRouteKey()),
            ], 
            'status'            => trans('app.'.$bankoffer->status),
            'created_at'        => format_date($bankoffer->created_at),
            'updated_at'        => format_date($bankoffer->updated_at),
        ];
    }
}